using System.ComponentModel.DataAnnotations;

namespace JtkMainServer.Models {
    public partial class PaymentTime {
        [Display(Name = "지급 시간")]
        [Required(ErrorMessage = "시간을 선택하세요.")]
        public string Time { get; set; }

        [Display(Name = "지급 계좌번호")]
        [Required(ErrorMessage = "계좌번호를 입력하세요.")]
        [RegularExpression("([0-9--])+", ErrorMessage = "숫자만 입력할 수 있습니다.")]
        public string AccountNumber { get; set; }

        [Display(Name = "매출 로열티")]
        [Required(ErrorMessage = "매출 로열티를 입력하세요.")]
        [Range(0.0, 10.0, ErrorMessage = "매출 로열티는 0%에서 10%까지 입력할 수 있습니다.")]
        public double Royalty { get; set; }
    }
}
